<?php
	foreach ($_POST as $key => $val){
		$_SESSION[$key]=$val;
	}
	if($_POST["i1"]=="Tüzel Kişi (Ltd.A.Ş)"){
		$DealerType="2";
	}elseif($_POST["i1"]=="Tüzel Kişi (Şahıs Firması)"){
		$DealerType="3";
	}
	$moka_url = "https://service.moka.com/Dealer/CreateDealer";
	//$dealer_code = tanim("pay+Moka","n3",0);
	//$username = tanim("pay+Moka","n1",0);
	//$password = tanim("pay+Moka","n2",0);
	$dealer_code = "1947";
	$username = "NovaEntegrator";
	$password = "YSHYSYSUWW0OS0UYEGDSDGYWEGPL0DWYT2";
	$TRIdentityNumber=$_POST["i2"];					//Tc (max 50 chars) , zorunlu
	$IndividualName=$_POST["t1"];						// Ad Soyad
	$TaxNumber=$_POST["i3"];							//Vergi Numarası (10 hane), Tüzel kişi için zorunlu
	$CompanyName=$_POST["i4"];						//Firma Adı (max 100 chars), Tüzel kişi için zorunlu
	$ContactName=$_POST["i5"];						//Yetkili Adı (max 50 chars), Tüzel kişi için zorunlu
	$MokaEmail=$_POST["email"];						//Bayi ünvanı (max 200 chars) , zorunlu
	$PhoneNumber=$_POST["t4"];						//Bayi telefon numarası, zorunlu (5351112233 formatında)
	$NaceCode=$_POST["i6"];								//6 hane olarak vergi levhasında yazan faaliyet kodu, zorunlu
	$MokaPosProposalTemplateLimitId="12";		//Moka’ nın size vereceği bir ID dir. Bayinin limitlerinin tanımlanmasını sağlar.
	$MokaPosProposalTemplateRateId="18";		//Moka’ nın size vereceği bir ID dir. Bayinin komisyon oranlarının tanımlanmasını sağlar.
	$checkkey = hash("sha256",$dealer_code."MK".$username."PD".$password);
	$veri = array('DealerAuthentication'=>array('DealerCode'=>$dealer_code,'Username'=>$username,'Password'=>$password,'CheckKey'=>$checkkey),
	'DealerRequest'=>array('DealerType'=>$DealerType,
	'TRIdentityNumber'=>$TRIdentityNumber,	
	'IndividualName'=>$IndividualName,
	'TaxNumber'=>$TaxNumber,
	'CompanyName'=>$CompanyName,
	'ContactName'=>$ContactName,
	'Email'=>$MokaEmail,
	'PhoneNumber'=>$PhoneNumber,
	'NaceCode'=>$NaceCode,
	'MokaPosProposalTemplateLimitId'=>$MokaPosProposalTemplateLimitId,
	'MokaPosProposalTemplateRateId'=>$MokaPosProposalTemplateRateId));
	$veri = json_encode($veri);
	//echo $veri;
	$ch = curl_init($moka_url); 
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
	curl_setopt($ch, CURLOPT_POST, 1); 
	curl_setopt($ch, CURLOPT_POSTFIELDS, $veri);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
	curl_setopt($ch, CURLOPT_SSLVERSION, 6);	  // TLS 1.2 baglanti destegi icin
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);    // ssl sayfa baglantilarinda aktif edilmeli
	$result = curl_exec ($ch); 
	curl_close ($ch);
	$result = json_decode($result);
	if ($result->ResultCode=="Success"){
		$DealerCode=$result->Data->DealerCode;
		$Username=$result->Data->Username;
		$Password=$result->Data->Password;
	}
?>